Shipment SPI

POST Retrieve shipping label.

POST /merchant/spi/sample/endpoint/sa/shipping/to/get/shippingLabel/from/external/system

Operation ID: getShippingLabel. Tags: Shipment Spi.

Retrieve shipping label from merchant's system. Merchants must implement this endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:

  1. Under API Config:
    • API Key: SHIPPING_LABEL
    • API Endpoint: Provide the external endpoint
  2. Under JSON Config:
    • Integration Type: HTTP_POST
    • JSON Headers: Provide the header for the API. Headers can be Content-Type, Authorization attributes like clientId/password, for example: {"Content-Type":"application/json","client_id":"myClientId","client_secret":"myClientSecret"} Use Case: To fetch the shipping label from an external system during BOFIS fulfillment or Inventory Transfer flows.

Request body

Media type: application/json. Schema: ShipmentSpiRequest.

Responses

  • default Default response.

    Media type: application/json. Schema: ShipmentLabelSpiResponse.